Bug 833394 - Start Timer Event with timeCycle in the form of <delay>###<cycle> prevents building the package
Start Timer Event with timeCycle in the form of <delay>###<cycle> prevents bu...
Status: ASSIGNED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kris Verlaenen
Jiri Locker
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 07:57 EDT by Jiri Locker
Modified: 2012-08-29 10:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-27 09:41:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
defaultPackage.TestProcess.bpmn2 (3.50 KB, application/xml)
2012-06-19 07:57 EDT, Jiri Locker
no flags Details
PackageBuild.png (107.94 KB, image/png)
2012-06-19 07:59 EDT, Jiri Locker
no flags Details
StartTimerEvent.png (115.32 KB, image/png)
2012-06-19 08:00 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2012-06-19 07:57:17 EDT
Created attachment 592923 [details]
defaultPackage.TestProcess.bpmn2

Description of problem:
The aim is to have a start event that triggers repeatedly. That can be done by creating Start Timer event and setting it's timeCycle property to something like 10s###1s to delay the first start by 10s and then trigger start events repeatedly each 1s. However the package containing such process definition cannot be built.

Version-Release number of selected component (if applicable):
ER9

How reproducible:
always

Steps to Reproduce:
Follow the description or use attached BPMN2 process.
  
Actual results:
Building a package containing this process fails (see screenshot for error message).

Expected results:
Should be possible to build the package.

Additional info:
Can be worked around by using ordinary start event node followed by an intermediate timer node.
Comment 1 Jiri Locker 2012-06-19 07:59:20 EDT
Created attachment 592924 [details]
PackageBuild.png
Comment 2 Jiri Locker 2012-06-19 08:00:35 EDT
Created attachment 592925 [details]
StartTimerEvent.png
Comment 4 Kris Verlaenen 2012-08-27 09:41:48 EDT
jBPM currently does not (yet) support start timers with delay / cycle using ISO-8601, but instead using a proprietary language, linked to Drools.  Marking this issue as a duplicate of bug 812006.

*** This bug has been marked as a duplicate of bug 812006 ***
Comment 5 Jiri Locker 2012-08-27 10:23:11 EDT
Not related to ISO-8601 so it cannot be duplicate of bug 812006.

Using the current proprietary time language in start timer event (attachment 592925 [details]) prevents building the rule package in Guvnor (attachment 592924 [details]).
Comment 6 Kris Verlaenen 2012-08-27 11:59:49 EDT
Yes, start timers are (currently) translated into Drools timer rules, and using the syntax as described here (using int or cron):
http://docs.jboss.org/drools/release/5.4.0.Final/drools-expert-docs/html_single/index.html#d0e5223

Two examples could be found here:
https://github.com/droolsjbpm/jbpm/blob/master/jbpm-bpmn2/src/test/resources/BPMN2-TimerStart.bpmn2
https://github.com/droolsjbpm/jbpm/blob/master/jbpm-bpmn2/src/test/resources/BPMN2-TimerStartCron.bpmn2

Afaik, the start timer event should not be part of the core set of constructs that are supported.

Note You need to log in before you can comment on or make changes to this bug.